
<ng-container *ngIf="products?.length != 0">
    <div class="title">
        <h1>Productos</h1>
    </div>
    <div class="container-search">
        <input id="input-search" type="text" [(ngModel)]="query" (keyup)="handleChange($event)"  placeholder="Buscar producto...">
        <ion-icon name="search-outline"></ion-icon>
        <ion-icon name="close-circle" *ngIf="clearInput"  (click)="clearTextInput();"></ion-icon>
    </div>


    <div class="container-cards" >

        <div class="card" *ngFor="let product of products | searchFilter:query">

            <div class="container-notfound" *ngIf="product === -1">
                <h3>No existe el producto "{{query}}"</h3>
            </div>

            <div *ngIf="product !== -1">

                <div class="card-image" style="background-image: url({{product.image}});">
                </div>

                <div class="card-detail">
                    <h4>{{product.name}}</h4>
                    <p>{{product.description}}</p>
                    <span >S/. {{product.price}}</span>
                </div>
    
                <div class="card-amount">
                    <form action="">
                        <button class="btn btn-plus" (click)="diminish(product.id)">
                            <ion-icon name="remove-outline"></ion-icon>
                        </button>
                        <input id="amount_{{product.id}}" type="text" value="1" disabled>
        
                        <button class="btn btn-minus"  (click)="increase(product.id, 5);">
                            <ion-icon name="add-outline"></ion-icon>
                        </button>
                    </form>
                </div>
                <div class="card-action">
                    <button class="btn btn-secondary" id="btn_{{product.id}}" (click)="addBag(product.id);">
                        Agregar
                        <ion-icon class="icon-add" name="add-circle-outline"></ion-icon>
                    </button>
                </div>
            </div>
            
            
        </div>
    </div>
</ng-container>
